import { openBlock as o, createElementBlock as n, createElementVNode as s, toDisplayString as p, renderSlot as u, ref as k, computed as v, normalizeClass as y, unref as c, createVNode as L, withCtx as h, resolveComponent as D, createBlock as w, inject as A, withDirectives as C, isRef as B, vModelDynamic as N, createCommentVNode as f, provide as M, Fragment as x, renderList as V, vModelSelect as K, vModelText as O, useSlots as j, watch as E, normalizeStyle as Z, createTextVNode as F, onMounted as I, withModifiers as z, vModelCheckbox as G } from "vue";
const R = { class: "cf-action-card" }, H = { class: "cf-action-card__body" }, X = { class: "cf-action-card__title" }, J = { class: "cf-action-card__body__slot" }, Q = { class: "cf-action-card__action" }, Ht = {
  __name: "ActionCard",
  props: {
    title: String
  },
  setup(a) {
    const t = a;
    return (e, l) => (o(), n("div", R, [
      s("div", H, [
        s("div", X, p(t.title), 1),
        s("div", J, [
          u(e.$slots, "body")
        ])
      ]),
      s("div", Q, [
        u(e.$slots, "action")
      ])
    ]));
  }
};
const T = (a, t) => {
  const e = a.__vccOpts || a;
  for (const [l, i] of t)
    e[l] = i;
  return e;
}, W = {}, Y = { class: "cf-app-bar" };
function ee(a, t) {
  return o(), n("header", Y, [
    s("div", null, [
      u(a.$slots, "left")
    ]),
    s("div", null, [
      u(a.$slots, "right")
    ])
  ]);
}
const te = /* @__PURE__ */ T(W, [["render", ee]]);
const se = { class: "cf-dropdown-body" }, le = {
  __name: "Dropdown",
  setup(a) {
    const t = k(!1), e = v(() => ({
      "cf-dropdown": !0,
      "cf-dropdown--open": t.value
    }));
    return (l, i) => (o(), n("div", {
      class: y(c(e))
    }, [
      s("div", {
        class: "cf-dropdown-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, [
        u(l.$slots, "toggle")
      ]),
      s("div", se, [
        u(l.$slots, "body")
      ]),
      s("div", {
        class: "cf-dropdown-backdrop",
        onClick: i[1] || (i[1] = (d) => t.value = !1)
      })
    ], 2));
  }
};
const oe = {
  key: 0,
  class: "cf-app-bar-link"
}, ae = { class: "cf-app-bar-link__label" }, ne = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.15 4.492H1.85l-.354.854 6.15 6.15h.707l6.15-6.15-.353-.854z" })
], -1), de = {
  key: 1,
  class: "cf-app-bar-link"
}, ie = { class: "cf-app-bar-link__label" }, Xt = {
  __name: "AppBarLink",
  props: {
    dropdown: Boolean
  },
  setup(a) {
    return (t, e) => a.dropdown ? (o(), n("div", oe, [
      L(le, null, {
        toggle: h(() => [
          s("div", ae, [
            u(t.$slots, "default"),
            ne
          ])
        ]),
        body: h(() => [
          u(t.$slots, "dropdown")
        ]),
        _: 3
      })
    ])) : (o(), n("button", de, [
      s("div", ie, [
        u(t.$slots, "default")
      ])
    ]));
  }
};
const Jt = {
  __name: "AppBody",
  props: {
    wide: {
      type: Boolean,
      default: !1
    }
  },
  setup(a) {
    const t = a, e = v(() => ({
      "cf-app-body": !0,
      "cf-app-body--wide": t.wide
    }));
    return (l, i) => (o(), n("div", {
      class: y(c(e))
    }, [
      u(l.$slots, "default")
    ], 2));
  }
};
const Qt = {
  __name: "Banner",
  props: {
    type: String
  },
  setup(a) {
    const t = a, e = v(() => ({
      "cf-banner": !0,
      [`cf-banner--${t.type}`]: t.type
    }));
    return (l, i) => (o(), n("div", {
      class: y(c(e))
    }, [
      u(l.$slots, "default")
    ], 2));
  }
}, P = {
  to: {
    type: String,
    default: null
  },
  type: {
    type: String,
    default: "button"
  },
  large: {
    type: Boolean,
    default: !1
  },
  wide: {
    type: Boolean,
    default: !1
  },
  color: {
    type: String,
    default: null
  },
  loading: {
    type: Boolean,
    default: !1
  },
  disabled: {
    type: Boolean,
    default: !1
  }
};
const re = ["type", "disabled"], Wt = {
  __name: "FilledButton",
  props: P,
  setup(a) {
    const t = a, e = v(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-filled-button": !0,
      [`cf-filled-button--${t.color}`]: t.color
    }));
    return (l, i) => {
      const d = D("router-link");
      return l.to ? (o(), w(d, {
        key: 0,
        class: y(c(e)),
        to: l.to,
        inert: t.disabled
      }, {
        default: h(() => [
          u(l.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (o(), n("button", {
        key: 1,
        class: y(c(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        u(l.$slots, "default")
      ], 10, re));
    };
  }
};
const ue = ["type", "disabled"], Yt = {
  __name: "OutlinedButton",
  props: P,
  setup(a) {
    const t = a, e = v(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-outlined-button": !0,
      [`cf-outlined-button--${t.color}`]: t.color
    }));
    return (l, i) => {
      const d = D("router-link");
      return l.to ? (o(), w(d, {
        key: 0,
        class: y(c(e)),
        to: l.to,
        inert: t.disabled
      }, {
        default: h(() => [
          u(l.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (o(), n("button", {
        key: 1,
        class: y(c(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        u(l.$slots, "default")
      ], 10, ue));
    };
  }
};
const ce = ["disabled"], es = {
  __name: "TextButton",
  props: {
    to: String,
    disabled: Boolean
  },
  setup(a) {
    const t = a;
    return (e, l) => {
      const i = D("router-link");
      return a.to ? (o(), w(i, {
        key: 0,
        class: "cf-text-button",
        to: a.to,
        inert: t.disabled
      }, {
        default: h(() => [
          u(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["to", "inert"])) : (o(), n("button", {
        key: 1,
        class: "cf-text-button",
        type: "button",
        disabled: t.disabled
      }, [
        u(e.$slots, "default")
      ], 8, ce));
    };
  }
};
const _e = { class: "cf-choice" }, pe = ["type", "id", "name", "value", "true-value", "false-value", "required", "disabled"], fe = ["for"], ve = { key: 0 }, be = {
  __name: "Choice",
  props: {
    modelValue: [Number, String, Boolean, Array],
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    type: String,
    label: String,
    helper: String,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, l = Math.random(), i = {
      name: A("choice-list-name", null),
      required: A("choice-list-required", null)
    }, d = v({
      get() {
        return e.modelValue;
      },
      set(r) {
        t("update:modelValue", r);
      }
    });
    return (r, b) => (o(), n("div", _e, [
      C(s("input", {
        "onUpdate:modelValue": b[0] || (b[0] = ($) => B(d) ? d.value = $ : null),
        type: e.type,
        id: c(l),
        name: i.name,
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        required: i.required,
        disabled: e.disabled
      }, null, 8, pe), [
        [N, c(d)]
      ]),
      s("label", { for: c(l) }, p(e.label || e.value), 9, fe),
      e.helper ? (o(), n("small", ve, p(e.helper), 1)) : f("", !0)
    ]));
  }
};
const me = {
  key: 0,
  class: "cf-choice-list__label"
}, ts = {
  __name: "ChoiceList",
  props: {
    modelValue: [Number, String, Boolean, Array],
    label: String,
    choices: Array,
    multiple: Boolean,
    required: Boolean,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, l = v(() => ({
      "cf-choice-list": !0,
      "cf-choice-list--disabled": e.disabled
    })), i = v({
      get() {
        return e.modelValue;
      },
      set(d) {
        t("update:modelValue", d);
      }
    });
    return M("choice-list-name", Math.random()), M("choice-list-required", e.required), (d, r) => (o(), n("div", {
      class: y(c(l))
    }, [
      e.label ? (o(), n("div", me, p(e.label), 1)) : f("", !0),
      (o(!0), n(x, null, V(a.choices, (b) => (o(), w(be, {
        key: b.value || b,
        type: e.multiple ? "checkbox" : "radio",
        label: b.label || b.value || b,
        helper: b.helper,
        value: b.value || b,
        disabled: e.disabled,
        modelValue: c(i),
        "onUpdate:modelValue": r[0] || (r[0] = ($) => B(i) ? i.value = $ : null)
      }, null, 8, ["type", "label", "helper", "value", "disabled", "modelValue"]))), 128))
    ], 2));
  }
};
const he = { class: "cf-field" }, ye = ["required", "disabled"], ge = {
  key: 0,
  value: null
}, $e = ["value"], ke = ["required", "disabled"], we = ["type", "placeholder", "list", "required", "disabled"], Se = { key: 3 }, Be = { key: 4 }, xe = {
  __name: "Field",
  props: {
    modelValue: [Number, String],
    type: String,
    label: String,
    placeholder: String,
    options: Array,
    list: String,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, l = v({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (o(), n("div", he, [
      e.type === "select" ? C((o(), n("select", {
        key: 0,
        class: "cf-field__input",
        "onUpdate:modelValue": d[0] || (d[0] = (r) => B(l) ? l.value = r : null),
        required: e.required,
        disabled: e.disabled
      }, [
        e.required ? f("", !0) : (o(), n("option", ge)),
        (o(!0), n(x, null, V(e.options, (r) => (o(), n("option", {
          key: r.value || r,
          value: r.value || r
        }, p(r.label || r), 9, $e))), 128))
      ], 8, ye)), [
        [K, c(l)]
      ]) : e.type === "textarea" ? C((o(), n("textarea", {
        key: 1,
        class: "cf-field__input",
        "onUpdate:modelValue": d[1] || (d[1] = (r) => B(l) ? l.value = r : null),
        required: e.required,
        disabled: e.disabled
      }, null, 8, ke)), [
        [O, c(l)]
      ]) : C((o(), n("input", {
        key: 2,
        class: "cf-field__input",
        "onUpdate:modelValue": d[2] || (d[2] = (r) => B(l) ? l.value = r : null),
        type: e.type,
        placeholder: e.placeholder,
        list: e.list,
        required: e.required,
        disabled: e.disabled
      }, null, 8, we)), [
        [N, c(l)]
      ]),
      e.label ? (o(), n("label", Se, p(e.label), 1)) : f("", !0),
      e.helper ? (o(), n("small", Be, p(e.helper), 1)) : f("", !0)
    ]));
  }
};
const Ce = { class: "cf-data-table-item" }, Ve = {
  key: 0,
  class: "cf-data-table-item__drawer"
}, De = { class: "cf-data-table-item__content" }, ze = ["data-label"], Le = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), qe = [
  Le
], Ae = {
  __name: "DataTableItem",
  props: {
    data: Object,
    expandable: Boolean
  },
  setup(a) {
    const t = a, e = A("columns", []), l = k(!1);
    return (i, d) => (o(), n("div", Ce, [
      l.value ? (o(), n("div", Ve, [
        u(i.$slots, "default", {
          item: t.data
        })
      ])) : f("", !0),
      s("div", De, [
        (o(!0), n(x, null, V(c(e), (r) => (o(), n("div", {
          key: r.key,
          "data-label": r.label
        }, p(a.data[r.key]), 9, ze))), 128))
      ]),
      t.expandable ? (o(), n("button", {
        key: 1,
        class: "cf-data-table-item__toggle",
        onClick: d[0] || (d[0] = (r) => l.value = !l.value)
      }, qe)) : f("", !0),
      t.expandable && l.value ? (o(), n("div", {
        key: 2,
        class: "cf-data-table-item__backdrop",
        onClick: d[1] || (d[1] = (r) => l.value = !1)
      })) : f("", !0)
    ]));
  }
};
const Me = { class: "cf-data-table" }, Ne = { class: "cf-data-table__header" }, Fe = {
  key: 0,
  class: "cf-data-table__header__title"
}, Ie = {
  key: 1,
  class: "cf-data-table__header__toolbar"
}, Te = {
  key: 0,
  class: "cf-data-table__header__toolbar__search"
}, Pe = {
  key: 2,
  class: "cf-data-table__header__slot"
}, Ue = { class: "cf-data-table__body__header" }, Ke = { class: "cf-data-table__body__items" }, Oe = { class: "cf-data-table__footer" }, je = { class: "cf-data-table__footer__pagination" }, Ee = ["disabled"], Ze = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M11.022 14.503L4.518 8l6.504-6.504.707.707L5.932 8l5.797 5.796-.707.707z" })
], -1), Ge = [
  Ze
], Re = ["disabled"], He = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M4.99 14.503l-.707-.707L10.08 8 4.283 2.203l.707-.707L11.494 8 4.99 14.503z" })
], -1), Xe = [
  He
], Je = { key: 0 }, ss = {
  __name: "DataTable",
  props: {
    title: String,
    expandable: Boolean,
    searchKey: String,
    itemKey: String,
    pageSize: {
      type: [Number, String],
      default: 10
    },
    columns: {
      type: Array,
      default: []
    },
    data: {
      type: Array,
      default: []
    }
  },
  setup(a) {
    const t = a, e = j(), l = k(""), i = v(() => t.data.filter((_) => {
      if (l.value) {
        const S = _[t.searchKey].replaceAll(" ", "").toLowerCase(), g = l.value.replaceAll(" ", "").toLowerCase();
        return S.includes(g);
      } else
        return !0;
    })), d = k(1), r = v(() => Math.ceil(i.value.length / parseInt(t.pageSize))), b = v(() => {
      const _ = d.value < r.value ? d.value * t.pageSize : i.value.length;
      return {
        start: (d.value - 1) * t.pageSize + 1,
        end: _
      };
    }), $ = v(() => i.value.slice(
      (d.value - 1) * parseInt(t.pageSize),
      d.value * parseInt(t.pageSize)
    )), q = () => {
      d.value < r.value && d.value++;
    }, m = () => {
      d.value > 1 && d.value--;
    };
    return E(l, () => {
      d.value > 1 && (d.value = 1);
    }), M("columns", t.columns), (_, S) => (o(), n("div", Me, [
      s("div", Ne, [
        t.title ? (o(), n("div", Fe, p(t.title), 1)) : f("", !0),
        c(e).actions || t.searchKey ? (o(), n("div", Ie, [
          t.searchKey ? (o(), n("div", Te, [
            L(xe, {
              modelValue: l.value,
              "onUpdate:modelValue": S[0] || (S[0] = (g) => l.value = g),
              type: "text",
              label: "Search"
            }, null, 8, ["modelValue"])
          ])) : f("", !0),
          u(_.$slots, "actions")
        ])) : f("", !0),
        c(e).header ? (o(), n("div", Pe, [
          u(_.$slots, "header")
        ])) : f("", !0)
      ]),
      s("div", {
        class: "cf-data-table__body",
        style: Z(`--columns: ${t.columns.length}`)
      }, [
        s("div", Ue, [
          (o(!0), n(x, null, V(t.columns, (g) => (o(), n("div", {
            key: g.key
          }, p(g.label), 1))), 128))
        ]),
        s("div", Ke, [
          (o(!0), n(x, null, V(c($), (g) => (o(), w(Ae, {
            key: g._id || g[t.itemKey],
            data: g,
            expandable: t.expandable
          }, {
            default: h((U) => [
              u(_.$slots, "item-drawer", {
                item: U.item
              })
            ]),
            _: 2
          }, 1032, ["data", "expandable"]))), 128))
        ])
      ], 4),
      s("div", Oe, [
        s("div", je, [
          s("button", {
            disabled: d.value <= 1,
            onClick: m
          }, Ge, 8, Ee),
          s("button", {
            disabled: d.value >= c(r),
            onClick: q
          }, Xe, 8, Re),
          c(i).length ? (o(), n("div", Je, [
            s("b", null, p(`${c(b).start} to ${c(b).end}`), 1),
            F(" of "),
            s("b", null, p(c(i).length), 1)
          ])) : f("", !0)
        ])
      ])
    ]));
  }
};
const Qe = { class: "cf-sidebar-nav" }, We = /* @__PURE__ */ s("hr", null, null, -1), Ye = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), et = /* @__PURE__ */ s("span", null, "Collapse sidebar", -1), tt = [
  Ye,
  et
], st = {
  __name: "Sidebar",
  setup(a) {
    const t = k(!1), e = v(() => ({
      "cf-sidebar": !0,
      "cf-sidebar--toggled": t.value
    }));
    return (l, i) => (o(), n("aside", {
      class: y(c(e))
    }, [
      s("nav", Qe, [
        u(l.$slots, "default"),
        We
      ]),
      s("button", {
        class: "cf-sidebar-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, tt)
    ], 2));
  }
};
const ls = {
  __name: "DefaultLayout",
  setup(a) {
    return I(() => {
      document.body.dataset.layout = "default";
    }), (t, e) => (o(), n(x, null, [
      L(te, null, {
        left: h(() => [
          u(t.$slots, "brand")
        ]),
        right: h(() => [
          u(t.$slots, "navigation")
        ]),
        _: 3
      }),
      L(st, null, {
        default: h(() => [
          u(t.$slots, "sidebar")
        ]),
        _: 3
      }),
      s("main", null, [
        u(t.$slots, "main")
      ])
    ], 64));
  }
};
const lt = { class: "cf-dialog-header" }, ot = { class: "cf-dialog__title" }, at = { key: 0 }, nt = { class: "cf-dialog-body" }, dt = { class: "cf-dialog-footer" }, it = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), rt = [
  it
], os = {
  __name: "Dialog",
  props: {
    title: String,
    description: String
  },
  emits: ["close"],
  setup(a, { emit: t }) {
    const e = a, l = k(null);
    return I(() => l.value.showModal()), (i, d) => (o(), n("dialog", {
      class: "cf-dialog",
      ref_key: "dialog",
      ref: l
    }, [
      s("div", lt, [
        s("div", ot, p(e.title), 1),
        e.description ? (o(), n("div", at, p(e.description), 1)) : f("", !0)
      ]),
      s("div", nt, [
        u(i.$slots, "body")
      ]),
      s("div", dt, [
        u(i.$slots, "footer")
      ]),
      s("button", {
        class: "cf-dialog-close",
        onClick: d[0] || (d[0] = (r) => t("close"))
      }, rt)
    ], 512));
  }
};
const ut = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, ct = { class: "material-symbols-outlined" }, _t = { class: "cf-dropdown-item__label" }, pt = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, ft = { class: "material-symbols-outlined" }, vt = { class: "cf-dropdown-item__label" }, as = {
  __name: "DropdownItem",
  props: {
    icon: String,
    to: String,
    large: Boolean
  },
  setup(a) {
    const t = a, e = v(() => ({
      "cf-dropdown-item": !0,
      "cf-dropdown-item--large": t.large
    }));
    return (l, i) => {
      const d = D("router-link");
      return a.to ? (o(), w(d, {
        key: 1,
        class: y(c(e)),
        to: a.to
      }, {
        default: h(() => [
          a.icon ? (o(), n("div", pt, [
            s("span", ft, p(a.icon), 1)
          ])) : f("", !0),
          s("div", vt, [
            u(l.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["class", "to"])) : (o(), n("button", {
        key: 0,
        class: y(c(e))
      }, [
        a.icon ? (o(), n("div", ut, [
          s("span", ct, p(a.icon), 1)
        ])) : f("", !0),
        s("div", _t, [
          u(l.$slots, "default")
        ])
      ], 2));
    };
  }
};
const bt = { class: "cf-drop-zone" }, mt = ["onDrop"], ht = { class: "cf-drop-zone-box__label" }, yt = { class: "cf-drop-zone-box__action" }, gt = /* @__PURE__ */ s("span", null, "select from device", -1), $t = ["required"], kt = {
  key: 0,
  class: "cf-drop-zone-box__helper"
}, wt = {
  key: 1,
  class: "cf-drop-zone-list"
}, St = /* @__PURE__ */ s("div", { class: "cf-drop-zone-list__header" }, null, -1), Bt = { class: "cf-drop-zone-list__item" }, xt = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "12",
  height: "12"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), Ct = [
  xt
], ns = {
  __name: "DropZone",
  props: {
    modelValue: File,
    label: {
      type: String,
      default: "Add your file here."
    },
    max: {
      type: [Number, String],
      default: 0
    },
    accept: String,
    required: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["update:modelValue", "add", "cancel"],
  setup(a, { emit: t }) {
    const e = a, l = k(null), i = v(() => !!(e.required && !e.modelValue)), d = v(() => {
      if (e.modelValue) {
        const _ = (e.modelValue.size / 1048576).toFixed(0), S = (_ / 1e3).toFixed(1);
        return _ < 100 ? `${_} MB` : `${S} GB`;
      } else
        return "0 MB";
    }), r = (m) => {
      const _ = m.target.files[0];
      $(_);
    }, b = (m) => {
      const _ = m.dataTransfer.files[0];
      $(_);
    }, $ = (m) => {
      const _ = parseInt(e.max) * 1048576;
      _ && _ < m.size ? (l.value.value = "", alert(`File cannot exceed ${e.max} MB`)) : (t("update:modelValue", m), t("add", m));
    }, q = () => {
      t("update:modelValue", null), t("cancel");
    };
    return (m, _) => (o(), n("div", bt, [
      a.modelValue ? (o(), n("div", wt, [
        St,
        s("div", Bt, [
          s("div", null, p(e.modelValue.name), 1),
          s("div", null, p(c(d)), 1),
          s("button", { onClick: q }, Ct)
        ])
      ])) : (o(), n("div", {
        key: 0,
        class: "cf-drop-zone-box",
        onDrop: z(b, ["prevent"]),
        onDragenter: _[0] || (_[0] = z(() => {
        }, ["prevent"])),
        onDragover: _[1] || (_[1] = z(() => {
        }, ["prevent"])),
        onDragleave: _[2] || (_[2] = z(() => {
        }, ["prevent"]))
      }, [
        s("div", ht, p(e.label), 1),
        s("label", yt, [
          F(" Drag and drop or "),
          gt,
          s("input", {
            type: "file",
            ref_key: "input",
            ref: l,
            required: c(i),
            onChange: r
          }, null, 40, $t)
        ]),
        e.max ? (o(), n("div", kt, " Files larger than " + p(e.max) + " MB cannot be uploaded ", 1)) : f("", !0)
      ], 40, mt))
    ]));
  }
};
const Vt = ["value", "max"], ds = {
  __name: "Progress",
  props: {
    value: {
      type: [Number, String],
      default: 0
    },
    max: {
      type: [Number, String],
      default: 100
    }
  },
  setup(a) {
    const t = a;
    return (e, l) => (o(), n("progress", {
      class: "cf-progress",
      value: t.value,
      max: t.max
    }, p(a.value) + "% ", 9, Vt));
  }
};
const Dt = { class: "cf-sidebar-link__icon" }, zt = { class: "material-symbols-outlined" }, Lt = { class: "cf-sidebar-link__label" }, qt = ["href"], At = { class: "cf-sidebar-link__icon" }, Mt = { class: "material-symbols-outlined" }, Nt = { class: "cf-sidebar-link__label" }, is = {
  __name: "SidebarLink",
  props: {
    to: String,
    href: String,
    icon: String
  },
  setup(a) {
    const t = a;
    return (e, l) => {
      const i = D("router-link");
      return a.to ? (o(), w(i, {
        key: 0,
        class: "cf-sidebar-link",
        to: t.to
      }, {
        default: h(() => [
          s("div", Dt, [
            s("span", zt, p(a.icon), 1)
          ]),
          s("div", Lt, [
            u(e.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["to"])) : (o(), n("a", {
        key: 1,
        class: "cf-sidebar-link",
        href: a.href
      }, [
        s("div", At, [
          s("span", Mt, p(a.icon), 1)
        ]),
        s("div", Nt, [
          u(e.$slots, "default")
        ])
      ], 8, qt));
    };
  }
};
const Ft = {}, It = { class: "cf-spinner" }, Tt = /* @__PURE__ */ s("div", null, null, -1), Pt = /* @__PURE__ */ s("div", null, null, -1), Ut = /* @__PURE__ */ s("div", null, null, -1), Kt = /* @__PURE__ */ s("div", null, null, -1), Ot = [
  Tt,
  Pt,
  Ut,
  Kt
];
function jt(a, t) {
  return o(), n("div", It, Ot);
}
const rs = /* @__PURE__ */ T(Ft, [["render", jt]]);
const Et = { class: "cf-switch" }, Zt = ["value", "true-value", "false-value", "disabled"], Gt = {
  key: 0,
  class: "cf-switch__label"
}, us = {
  __name: "Switch",
  props: {
    modelValue: [Number, String, Boolean],
    label: String,
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, l = v({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (o(), n("div", Et, [
      C(s("input", {
        class: "cf-switch__box",
        "onUpdate:modelValue": d[0] || (d[0] = (r) => B(l) ? l.value = r : null),
        type: "checkbox",
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        disabled: e.disabled
      }, null, 8, Zt), [
        [G, c(l)]
      ]),
      e.label ? (o(), n("div", Gt, p(e.label), 1)) : f("", !0)
    ]));
  }
};
export {
  Ht as CfActionCard,
  te as CfAppBar,
  Xt as CfAppBarLink,
  Jt as CfAppBody,
  Qt as CfBanner,
  be as CfChoice,
  ts as CfChoiceList,
  ss as CfDataTable,
  ls as CfDefaultLayout,
  os as CfDialog,
  ns as CfDropZone,
  le as CfDropdown,
  as as CfDropdownItem,
  xe as CfField,
  Wt as CfFilledButton,
  Yt as CfOutlinedButton,
  ds as CfProgress,
  st as CfSidebar,
  is as CfSidebarLink,
  rs as CfSpinner,
  us as CfSwitch,
  es as CfTextButton
};
